libhttppp ..

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libhttppp::HttpResponse Class Reference
Inheritance diagram for libhttppp::HttpResponse:
[legend]
Collaboration diagram for libhttppp::HttpResponse:
[legend]

## Public Member Functions
| HttpResponse (const HttpResponse &src)
void | setState (const std ::string &httpstate)
void | setContentType (const std ::string &type)
void | setContentLength (size_t len)
void | setConnection (const std ::string &type)
void | setTransferEncoding (const std ::string &enc)
const std::string & | getState () const
int | getStatusCode () const
const std::string & | getContentType () const
size_t | getContentLength () const
const std::string & | getConnection () const
const std::string & | getVersion () const
HttpHeader::HeaderData::Values * | getTransferEncoding () const
size_t | printHeader (std::vector< char > &buffer)
void | send (netplus::con &curconnection, const std::string &data, int datalen=0)
void | send (netplus::con &curconnection, const unsigned char *data, int datalen)
void | send (netplus::con &curconnection, const std::vector< char > &data, int datalen=0)
size_t | parse (const char *in, size_t inlen)
Public Member Functions inherited from libhttppp::HttpHeader
HeaderData * | getfirstHeaderData ()
HeaderData * | getHeaderData (const std ::string &key) const
HeaderData * | setHeaderData (const std ::string &key)
void | deldata (const std ::string &key)
void | deldata (HeaderData *pos)
size_t | getElements ()
size_t | getHeaderSize ()
void | clear ()

## Additional Inherited Members
Protected Attributes inherited from libhttppp::HttpHeader
std::unique_ptr< HeaderData > | _firstHeaderData
HeaderData * | _lastHeaderData

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp